summaryrefslogtreecommitdiff
path: root/external/ios/build_wownero_seed.sh
diff options
context:
space:
mode:
Diffstat (limited to 'external/ios/build_wownero_seed.sh')
-rwxr-xr-xexternal/ios/build_wownero_seed.sh7
1 files changed, 3 insertions, 4 deletions
diff --git a/external/ios/build_wownero_seed.sh b/external/ios/build_wownero_seed.sh
index fc68327..7672db5 100755
--- a/external/ios/build_wownero_seed.sh
+++ b/external/ios/build_wownero_seed.sh
@@ -6,15 +6,14 @@ set -x -e
SEED_VERSION=0.3.0
SEED_SRC_DIR="${EXTERNAL_IOS_SOURCE_DIR}/seed"
-SEED_URL="https://git.wownero.com/wowlet/wownero-seed.git"
-SEED_SHA_HEAD="d3f68be347facfeebbd8f68fd74982c705cb917b"
rm -rf "$SEED_SRC_DIR" > /dev/null
echo "[*] cloning $SEED_URL"
-git clone --branch ${SEED_VERSION} ${SEED_URL} ${SEED_SRC_DIR}
+mkdir -p ${SEED_SRC_DIR} || true
+rm -rf ${SEED_SRC_DIR}
+cp -r "${MONEROC_DIR}/external/wownero-seed" ${SEED_SRC_DIR}
cd $SEED_SRC_DIR
-git reset --hard $SEED_SHA_HEAD
patch -p1 < ../../../../../wownero-seed-0001-fix-duplicate-symbol-error.patch